org.eclipse.jetty.servlet

## Class ServletContextHandler.Context

- java.lang.Object
- - org.eclipse.jetty.server.handler.ContextHandler.Context
  - - org.eclipse.jetty.servlet.ServletContextHandler.Context

- All Implemented Interfaces:
    javax.servlet.ServletContext
  Direct Known Subclasses:
    WebAppContext.Context
  Enclosing class:
    ServletContextHandler

      public class ServletContextHandler.Context
      extends ContextHandler.Context

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletContextHandler.Context()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FilterRegistration.Dynamic` | `addFilter(java.lang.String filterName, java.lang.Class<? extends javax.servlet.Filter> filterClass)`
    `FilterRegistration.Dynamic` | `addFilter(java.lang.String filterName, javax.servlet.Filter filter)`
    `FilterRegistration.Dynamic` | `addFilter(java.lang.String filterName, java.lang.String className)`
    `void` | `addListener(java.lang.Class<? extends java.util.EventListener> listenerClass)`
    `void` | `addListener(java.lang.String className)`
    `<T extends java.util.EventListener> void` | `addListener(T t)`
    `ServletRegistration.Dynamic` | `addServlet(java.lang.String servletName, java.lang.Class<? extends javax.servlet.Servlet> servletClass)`
    `ServletRegistration.Dynamic` | `addServlet(java.lang.String servletName, javax.servlet.Servlet servlet)`
    `ServletRegistration.Dynamic` | `addServlet(java.lang.String servletName, java.lang.String className)`
    `<T extends javax.servlet.Filter> T` | `createFilter(java.lang.Class<T> c)`
    `<T extends java.util.EventListener> T` | `createListener(java.lang.Class<T> clazz)`
    `<T extends javax.servlet.Servlet> T` | `createServlet(java.lang.Class<T> c)`
    `void` | `declareRoles(java.lang.String... roleNames)`
    `FilterRegistration` | `getFilterRegistration(java.lang.String filterName)`
    `java.util.Map<java.lang.String,? extends FilterRegistration>` | `getFilterRegistrations()`
    `javax.servlet.RequestDispatcher` | `getNamedDispatcher(java.lang.String name)`
    `ServletRegistration` | `getServletRegistration(java.lang.String servletName)`
    `java.util.Map<java.lang.String,? extends ServletRegistration>` | `getServletRegistrations()`
    `boolean` | `setInitParameter(java.lang.String name, java.lang.String value)`

    - ### Methods inherited from class org.eclipse.jetty.server.handler.ContextHandler.Context

      `getAttribute, getAttributeNames, getContext, getContextHandler, getContextPath, getInitParameter, getInitParameterNames, getMajorVersion, getMimeType, getMinorVersion, getRealPath, getRequestDispatcher, getResource, getResourceAsStream, getResourcePaths, getServerInfo, getServlet, getServletContextName, getServletNames, getServlets, log, log, log, removeAttribute, setAttribute, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServletContextHandler.Context

          public ServletContextHandler.Context()

  - ### Method Detail

    - #### getNamedDispatcher

          public javax.servlet.RequestDispatcher getNamedDispatcher(java.lang.String name)

      Specified by:
        `getNamedDispatcher` in interface `javax.servlet.ServletContext`
      Overrides:
        `getNamedDispatcher` in class `ContextHandler.Context`

    - #### addFilter

          public FilterRegistration.Dynamic addFilter(java.lang.String filterName,
                                             java.lang.Class<? extends javax.servlet.Filter> filterClass)

      Since:
        servlet-api-3.0

    - #### addFilter

          public FilterRegistration.Dynamic addFilter(java.lang.String filterName,
                                             java.lang.String className)

      Since:
        servlet-api-3.0

    - #### addFilter

          public FilterRegistration.Dynamic addFilter(java.lang.String filterName,
                                             javax.servlet.Filter filter)

      Since:
        servlet-api-3.0

    - #### addServlet

          public ServletRegistration.Dynamic addServlet(java.lang.String servletName,
                                               java.lang.Class<? extends javax.servlet.Servlet> servletClass)

      Since:
        servlet-api-3.0

    - #### addServlet

          public ServletRegistration.Dynamic addServlet(java.lang.String servletName,
                                               java.lang.String className)

      Since:
        servlet-api-3.0

    - #### addServlet

          public ServletRegistration.Dynamic addServlet(java.lang.String servletName,
                                               javax.servlet.Servlet servlet)

      Since:
        servlet-api-3.0

    - #### setInitParameter

          public boolean setInitParameter(java.lang.String name,
                                 java.lang.String value)

      Overrides:
        `setInitParameter` in class `ContextHandler.Context`

    - #### createFilter

          public <T extends javax.servlet.Filter> T createFilter(java.lang.Class<T> c)
                                                      throws javax.servlet.ServletException

      Throws:
        `javax.servlet.ServletException`

    - #### createServlet

          public <T extends javax.servlet.Servlet> T createServlet(java.lang.Class<T> c)
                                                        throws javax.servlet.ServletException

      Throws:
        `javax.servlet.ServletException`

    - #### getFilterRegistration

          public FilterRegistration getFilterRegistration(java.lang.String filterName)

    - #### getFilterRegistrations

          public java.util.Map<java.lang.String,? extends FilterRegistration> getFilterRegistrations()

    - #### getServletRegistration

          public ServletRegistration getServletRegistration(java.lang.String servletName)

    - #### getServletRegistrations

          public java.util.Map<java.lang.String,? extends ServletRegistration> getServletRegistrations()

    - #### addListener

          public void addListener(java.lang.String className)

    - #### addListener

          public <T extends java.util.EventListener> void addListener(T t)

    - #### addListener

          public void addListener(java.lang.Class<? extends java.util.EventListener> listenerClass)

    - #### createListener

          public <T extends java.util.EventListener> T createListener(java.lang.Class<T> clazz)
                                                           throws javax.servlet.ServletException

      Throws:
        `javax.servlet.ServletException`

    - #### declareRoles

          public void declareRoles(java.lang.String... roleNames)

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.